libnl: Fair Queue CoDel

libnl 3.12.0

Fair Queue CoDel
Routing Library (libnl-route) » Traffic Control » Queueing Disciplines

## Attribute Modification
int | rtnl_qdisc_fq_codel_set_limit (struct rtnl_qdisc *qdisc, int limit)
| Set limit of fq_codel qdisc.
int | rtnl_qdisc_fq_codel_get_limit (struct rtnl_qdisc *qdisc)
| Get limit of a fq_codel qdisc.
int | rtnl_qdisc_fq_codel_set_target (struct rtnl_qdisc *qdisc, uint32_t target)
| Set target of fq_codel qdisc.
uint32_t | rtnl_qdisc_fq_codel_get_target (struct rtnl_qdisc *qdisc)
| Get target of a fq_codel qdisc.
int | rtnl_qdisc_fq_codel_set_interval (struct rtnl_qdisc *qdisc, uint32_t interval)
| Set interval of fq_codel qdisc.
uint32_t | rtnl_qdisc_fq_codel_get_interval (struct rtnl_qdisc *qdisc)
| Get target of a fq_codel qdisc.
int | rtnl_qdisc_fq_codel_set_quantum (struct rtnl_qdisc *qdisc, uint32_t quantum)
| Set quantum of fq_codel qdisc.
uint32_t | rtnl_qdisc_fq_codel_get_quantum (struct rtnl_qdisc *qdisc)
| Get quantum of a fq_codel qdisc.
int | rtnl_qdisc_fq_codel_set_flows (struct rtnl_qdisc *qdisc, int flows)
| Set flows of fq_codel qdisc.
int | rtnl_qdisc_fq_codel_get_flows (struct rtnl_qdisc *qdisc)
| Get flows of a fq_codel qdisc.
int | rtnl_qdisc_fq_codel_set_ecn (struct rtnl_qdisc *qdisc, int ecn)
| Set ecn of fq_codel qdisc.
int | rtnl_qdisc_fq_codel_get_ecn (struct rtnl_qdisc *qdisc)
| Get ecn of a fq_codel qdisc.

## Detailed Description

## Function Documentation

## ◆ rtnl_qdisc_fq_codel_set_limit()

int rtnl_qdisc_fq_codel_set_limit | ( | struct rtnl_qdisc * | qdisc,
|  | int | limit )

Set limit of fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc to be modified.
  limit | New limit.

Returns
  0 on success or a negative error code.

Definition at line 153 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_get_limit()

int rtnl_qdisc_fq_codel_get_limit | ( | struct rtnl_qdisc * | qdisc | ) |

Get limit of a fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc.

Returns
  Numeric limit or a negative error code.

Definition at line 171 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_set_target()

int rtnl_qdisc_fq_codel_set_target | ( | struct rtnl_qdisc * | qdisc,
|  | uint32_t | target )

Set target of fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc to be modified.
  target | New target.

Returns
  0 on success or a negative error code.

Definition at line 190 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_get_target()

uint32_t rtnl_qdisc_fq_codel_get_target | ( | struct rtnl_qdisc * | qdisc | ) |

Get target of a fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc.

Returns
  Numeric target or zero.

Definition at line 208 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_set_interval()

int rtnl_qdisc_fq_codel_set_interval | ( | struct rtnl_qdisc * | qdisc,
|  | uint32_t | interval )

Set interval of fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc to be modified.
  interval | New interval.

Returns
  0 on success or a negative error code.

Definition at line 225 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_get_interval()

uint32_t rtnl_qdisc_fq_codel_get_interval | ( | struct rtnl_qdisc * | qdisc | ) |

Get target of a fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc.

Returns
  Numeric interval or zero.

Definition at line 243 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_set_quantum()

int rtnl_qdisc_fq_codel_set_quantum | ( | struct rtnl_qdisc * | qdisc,
|  | uint32_t | quantum )

Set quantum of fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc to be modified.
  quantum | New quantum.

Returns
  0 on success or a negative error code.

Definition at line 260 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_get_quantum()

uint32_t rtnl_qdisc_fq_codel_get_quantum | ( | struct rtnl_qdisc * | qdisc | ) |

Get quantum of a fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc.

Returns
  Numeric quantum or zero.

Definition at line 278 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_set_flows()

int rtnl_qdisc_fq_codel_set_flows | ( | struct rtnl_qdisc * | qdisc,
|  | int | flows )

Set flows of fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc to be modified.
  flows | New flows value.

Returns
  0 on success or a negative error code.

Definition at line 295 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_get_flows()

int rtnl_qdisc_fq_codel_get_flows | ( | struct rtnl_qdisc * | qdisc | ) |

Get flows of a fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc.

Returns
  Numeric flows or a negative error code.

Definition at line 313 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_set_ecn()

int rtnl_qdisc_fq_codel_set_ecn | ( | struct rtnl_qdisc * | qdisc,
|  | int | ecn )

Set ecn of fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc to be modified.
  ecn | New ecn value.

Returns
  0 on success or a negative error code.

Definition at line 331 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_fq_codel_get_ecn()

int rtnl_qdisc_fq_codel_get_ecn | ( | struct rtnl_qdisc * | qdisc | ) |

Get ecn of a fq_codel qdisc.

Parameters

  qdisc | fq_codel qdisc.

Returns
  Numeric ecn or a negative error code.

Definition at line 349 of file fq_codel.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function: